### Method

# Ggit Repository create_tree_builder_from_tree

#### Declaration [src]

    GgitTreeBuilder*
    ggit_repository_create_tree_builder_from_tree (
      GgitRepository* repository,
      GgitTree* tree,
      GError** error
    )

#### Description [src]

Create a tree builder for initialized with `tree`. To create an empty tree builder, use #ggit_repository_create_tree_builder instead.

#### Parameters

`tree`

  Type: `GgitTree`

  A `GgitTree`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitTreeBuilder`

A new `GgitTreeBuilder` object, or `NULL` if there was an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.